#define DOCTEST_CONFIG_NO_MULTITHREADING
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include <vector>
#include "doctest.h"
#include "histogram_internal.h"
#include "proverka.h"

TEST_CASE("distinct positive numbers") {
    double min = 0;
    double max = 0;
    find_minmax({1, 2}, min, max);
    CHECK(min == 1);
    CHECK(max == 2);
}

TEST_CASE("negative numbers") {
    double min = 0;
    double max = 0;
    find_minmax({ -10, 10 }, min, max);
    CHECK(min == -10);
    CHECK(max == 10);
}


TEST_CASE("one number") {
    double min = 0;
    double max = 0;
    find_minmax({ 2 }, min, max);
    CHECK(min == 2);
    CHECK(max == 2);
}

TEST_CASE("not in 8 - 32") {
    int font_size = 8;
    bool flag = true;
    proverka(flag, font_size);
    CHECK(flag == false);
}


